# Record money taken at the desk or returned against the folio

`POST /lodging/reservations/{id}/payments` · Rivier · bookings

Record money taken at the desk or returned against the folio. A person with approval rights.

- Scope: bookings:write
- Sdk: bookings.folio.recordPayment
- Cli: bookings folio record payment

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "kind": {
      "type": "string",
      "enum": [
        "payment",
        "refund"
      ],
      "default": "payment"
    },
    "amountMinor": {
      "type": "integer",
      "minimum": 1,
      "maximum": 9007199254740991
    },
    "ref": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "method": {
      "type": "string",
      "maxLength": 40,
      "default": ""
    }
  },
  "required": [
    "amountMinor",
    "ref"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/lodging/reservations/{id}/payments' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "amountMinor": 0,
  "ref": "string"
}'
```
